import org.jdom.Element;
import java.awt.*;
import java.util.*;

public class GraphicPath extends GraphicPolyline {
    
    public Element toXML() {
	Element line = new Element("path");
	Enumeration dts = dots.elements();
	while(dts.hasMoreElements()) {
	    CanvasDot pt = (CanvasDot)dts.nextElement();
	    line.addContent(pt.toXML());
	}
	return line;
    }

    public GraphicPath() {
	super();
    }

    public GraphicPath(Element el) {
	super(el);
    }


    public void show(Graphics g, boolean z,Color c) {
	int x,y,scale = (z?2:1);
	int n = 0;
	if (!dots.isEmpty()) {
	    Enumeration pts = dots.elements();
	    CanvasDot last = null;
	    while(pts.hasMoreElements()) {
		CanvasDot pt = (CanvasDot)pts.nextElement();
		if (isActive())
		    g.setColor(pt.isActive()?new Color(255,0,0):new Color(0,0,255));
		else
		    g.setColor(c);
		x = (int)(scale*pt.getX()-scale*6);
		y = (int)(scale*pt.getY()-scale*6);
		if (isActive()) {
		    g.drawRect(x,y,scale*12,scale*12);
		    g.setColor(new Color(0,0,255));
		}
		if (last!=null) {
		    g.drawString(Integer.toString(n),
				 (int)(scale*last.getX()),   
				 (int)(scale*last.getY())-3*scale);
		    n++;
		    g.drawLine((int)(scale*pt.getX()),   (int)(scale*pt.getY()),
			       (int)(scale*last.getX()), (int)(scale*last.getY()));

		}
		last = pt;
	    }
	}

    }

    private int ABS(int a) {
	return a>=0?a:-a;
    }

}
